## liveadder liveadder — Mixes live/discontinuous audio streams |

## Properties

guint | latency | Read / Write

## Types and Values

struct | GstLiveAdder

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstLiveAdder

## Description

The live adder allows to mix several streams into one by adding the data. Mixed data is clamped to the min/max values of the data format.

Unlike the adder, the liveadder mixes the streams according the their timestamps and waits for some milli-seconds before trying doing the mixing.

## Synopsis

### Element Information

plugin | liveadder
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic/Audio

### Element Pads

name | sink_%u
direction | sink
presence | request
details | audio/x-raw, format=(string){ S8, U8, S16LE, U16LE, S32LE, U32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, U16LE, S32LE, U32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstLiveAdder

    struct GstLiveAdder;

The adder object structure.

## Property Details

### The `“latency”` property

      “latency”                  guint

Amount of data to buffer (in milliseconds).

Flags: Read / Write

Default value: 60

## See Also

adder